curl --request GET \
--url https://integration.getmateo.com/api/v1/event \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/event"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "assign",
"source_type": "employee",
"target_type": "employee",
"metadata": {},
"source_employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_api_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_comment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_comment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_message_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]List Events
Retrieve a list of events
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Event ID
Event creation date
Latest update
Conversation ID
Organisation ID
Type of event
Source type
Target type
Metadata of event
Source employee ID
Source API token ID
Source comment ID
Source channel ID
Source recipient ID
Target employee ID
Target comment ID
Target message ID
Target tag ID
Target message action ID
Target inbox ID
Filtering Columns
Ordering. Allowed Fields: created_at
Limiting and Pagination
Limiting and Pagination
Response
OK
Event ID
Event creation date
Latest update
Conversation ID
Organisation ID
Type of event
assign, unassign, close, reopen, comment, mention, inbound, outbound, tag, untag, sending_error, message_bounce_error, submit, subject_change, submission_error, read, archive, action_click, inbox_change, spam, ham, contact_deletion, external_id_change, message_reaction, form_submission_start, inbound_voice_call Source type
employee, channel, comment, message, tag, recipient, message_action, api_token, service_role, inbox, form_submission, cs_agent_session, cs_agent, voice_call Target type
employee, channel, comment, message, tag, recipient, message_action, api_token, service_role, inbox, form_submission, cs_agent_session, cs_agent, voice_call Metadata of event
Source employee ID
Source API token ID
Source comment ID
Source channel ID
Source recipient ID
Target employee ID
Target comment ID
Target message ID
Target tag ID
Target message action ID
Target inbox ID